<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>test filedialog</title>
<script src="http://js.live.net/v5.0/wl.js"></script>
</head>
<body>
<div id="uploadFile_div">OneDrive save button to appear here</div>
</body>

<script>

 WL.init({ client_id: "0000000044146805", redirect_uri: "https://login.live.com/oauth20_desktop.srf" });
 WL.ui({
	    name: "skydrivepicker",
	    element: "uploadFile_div",
	    mode: "save",
	    onselected: onUploadFileCompleted,
	    onerror: onUploadFileError
	});

	function onUploadFileCompleted(response) {
	    WL.upload({
	        path: response.data.folders[0].id,
	        element: "file",
	        overwrite: "rename"
	    }).then(
	        function (response) {
	            document.getElementById("info").innerText = 
	                "File uploaded."; 
	        },
	        function (responseFailed) {
	            document.getElementById("info").innerText =
	                "Error uploading file: " + responseFailed.error.message;
	        }
	    );
	};

	function onUploadFileError(response) {
	    document.getElementById("info").innerText =
	        "Error getting folder info: " + response.error.message; 
	}


</script>
</html>